Subject: [IPP] Updated stable draft of IPP 2.0, 2.1, and 2.2 posted

From: Michael Sweet <[email-masked]>
Date: Thu, 11 Jun 2015 15:22:03 -0400

All,

I have posted an updated stable draft of the IPP 2.0, 2.1, and 2.2 specification to:

	http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipp20-20150611.docx
	http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipp20-20150611.pdf
	http://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipp20-20150611-rev.pdf

This update addresses all of the feedback from the June 1 IPP WG concall.  I also looked into dateTime support for IPP/2.1 and /2.2, however there was never anything put into the original specification to require dateTime support, and I couldn't find anything in the mailing list archives or old minutes about it...

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Ira McDonald <[email-masked]>
Date: Thu, 11 Jun 2015 16:30:37 -0400

Hi Mike,

About 'dateTime' - the problem is *not* in IPP/2.x (as you found)

It's in IPP Everywhere section 5.3 Table 6 "IPP Everywhere Required
Printer Description Attributes", where "printer-config-change-date-time"
and "printer-state-change-date-time" are both listed as REQUIRED.
But the underlying "printer-current-time (dateTime)" attribute is NOT
listed as REQUIRED and it's OPTIONAL in section 4.4.30 of IPP/1.1
Model (RFC 2911).  This bug affects logging and notifications as well.

This defect was reported in September 2014 against IPP Everywhere,
with the suggested fix of raising "printer-current-time" to RECOMMENDED.
But that doesn't fix the need for Printer objects, log records, and
notifications
to have real date-time stamps.

This bug in IPP Everywhere is marked "UNKNOWN"  for status.

I think we need a hard look at the side effects of forgetting our (obvious)
intent to make "printer-current-time" REQUIRED in IPP Everywhere.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Thu, Jun 11, 2015 at 3:22 PM, Michael Sweet <[email-masked]> wrote:

> This update addresses all of the feedback from the June 1 IPP WG concall.
> I also looked into dateTime support for IPP/2.1 and /2.2, however there was
> never anything put into the original specification to require dateTime
> support, and I couldn't find anything in the mailing list archives or old
> minutes about it...
>